TypeError: fields.flat is not a function + Cant Update Node

Yesterday My embed messages were working. today tho it was giving me “TypeError: fields.flat is not a function” + i cant update node because it breaks express.

please help!

just add

"engines": {
"node": "12.x"
}

in your package.json that’s it

1 Like

i tried it but it diesont fix anything

Add that text to package.json. That’s what he meant.

i know but it wasnt working so i changed some stuff my self and i got it working!

1 Like

What did you change to make it work? I am still stuck on this ;-;

added

“engines”: {
“node”: “12.x”
}

1 Like

Thank you, I noticed I did not do that too after about 2 hours of looking… I should not be allowed to code xD

1 Like